Skip to main content

Deployments

Deployments let the user schedule a job to deploy the contents of their workspace repository to their workspace in Meltano Cloud.

This can be done manually or via a GitHub repository webhook:

  • Payload URL: https://app.meltano.com/api/workspaces/<workspace_id>/deployments/github-webhook
  • Content type: application/json
  • Secret: "Deployment Secret" from workspace settings in Meltano Cloud

Requests​

Deploy your workspace repository​

POST /api/workspaces/{workspaces-id}/deployments

Deploys the workspace {workspace-id}.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/5acb4708-5404-475f-a20d-bedf6e355ea0/deployments' -i -X POST \
-H 'Content-Type: application/json'

Response​

202 Accepted

Job with HAL links.

{
"id" : "1342174a-af74-4fb4-8fc4-6e3b3f34f161",
"created" : "2026-10-12T10:14:59.125967",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/1342174a-af74-4fb4-8fc4-6e3b3f34f161"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/1342174a-af74-4fb4-8fc4-6e3b3f34f161",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/1342174a-af74-4fb4-8fc4-6e3b3f34f161/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/1342174a-af74-4fb4-8fc4-6e3b3f34f161/stopped",
"type" : "PUT"
}
}
}

GitHub webhook workspace deployment​

POST /api/workspaces/{workspaces-id}/deployments/github-webhook

Receives POST requests from GitHub and starts a workspace deploy job.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/workspaces/5acb4708-5404-475f-a20d-bedf6e355ea0/deployments/github-webhook' -i -X POST \
-H 'X-Hub-Signature: sha1=fd9dda5d10cdbc731110e094e14086e449a68bf2' \
-H 'Content-Type: application/json' \
-d '{ }'

Response​

202 Accepted

Job with HAL links.

{
"id" : "adab344d-629f-4743-8f1d-ff0d7be62a37",
"created" : "2026-10-12T10:15:00.13163",
"type" : "WORKSPACE_DEPLOY",
"maxAttempts" : 0,
"attempt" : 0,
"status" : "QUEUED",
"_embedded" : {
"profile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/jobs/adab344d-629f-4743-8f1d-ff0d7be62a37"
},
"delete job" : {
"href" : "https://app.meltano.com/api/jobs/adab344d-629f-4743-8f1d-ff0d7be62a37",
"type" : "DELETE"
},
"logs" : {
"href" : "https://app.meltano.com/api/jobs/adab344d-629f-4743-8f1d-ff0d7be62a37/logs?sequence=0",
"type" : "GET"
},
"withdraw job" : {
"href" : "https://app.meltano.com/api/jobs/adab344d-629f-4743-8f1d-ff0d7be62a37/stopped",
"type" : "PUT"
}
}
}